@import '~_vars.scss';
.loader {
  flex: 1 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  min-height: 180px;
  flex-direction: column;
  &.asOverlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255, 255, 255, 0.7);
    z-index: 100;
  }
}

@-webkit-keyframes spin {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes spin {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-webkit-keyframes spinBack {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(-720deg);
    transform: rotate(-720deg);
  }
}

@keyframes spinBack {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(-720deg);
    transform: rotate(-720deg);
  }
}

.spinner {
  position: relative;
  height: 40px;
  width: 40px;
  border: 3px solid transparent;
  border-top-color: darken($borderColor, 10%);
  border-left-color: darken($borderColor, 10%);
  border-radius: 50%;
  /* clean-css ignore:start */
  -webkit-animation: spin 1.5s linear infinite;
  animation: spin 1.5s linear infinite;
  /* clean-css ignore:end */
}

.spinner::before {
  position: absolute;
  top: 5px;
  left: 5px;
  right: 5px;
  bottom: 5px;
  content: '';
  border: 3px solid transparent;
  border-top-color: $primary;
  border-left-color: $primary;
  border-radius: 50%;
  /* clean-css ignore:start */
  -webkit-animation: spinBack 1s linear infinite;
  animation: spinBack 1s linear infinite;
  /* clean-css ignore:end */
}

.content {
  margin-top: 1rem;
  font-size: 0.875rem;
}
